function Aloc = STIMA_Lapl_QFE_nt(Vertices, varargin)

    Aloc = zeros(6,6);

    a = norm(Vertices(3,:)-Vertices(2,:)); 
    b = norm(Vertices(3,:)-Vertices(1,:));
    c = norm(Vertices(2,:)-Vertices(1,:));
    s = (a+b+c)/2;
    r = sqrt((s-a)*(s-b)*(s-c)/s);

    c1 = r/(s-a); cot_1 = (1-c1^2)/c1/2;
    c2 = r/(s-b); cot_2 = (1-c2^2)/c2/2;
    c3 = r/(s-c); cot_3 = (1-c3^2)/c3/2;

    Aloc(1,1) = 1/2*(cot_3+cot_2);
    Aloc(1,2) = 1/6*cot_3;
    Aloc(1,3) = 1/6*cot_2;
    Aloc(1,4) = -2/3*cot_3;
    Aloc(1,5) = 0;
    Aloc(1,6) = -2/3*cot_2;

    Aloc(2,2) = 1/2*(cot_3+cot_1);
    Aloc(2,3) = 1/6*cot_1;
    Aloc(2,4) = -2/3*cot_3;
    Aloc(2,5) = -2/3*cot_1;
    Aloc(2,6) = 0;

    Aloc(3,3) = 1/2*(cot_2+cot_1);
    Aloc(3,4) = 0;
    Aloc(3,5) = -2/3*cot_1;
    Aloc(3,6) = -2/3*cot_2;

    Aloc(4,4) = 4/3*(cot_3+cot_2+cot_1);
    Aloc(4,5) = -4/3*cot_2;
    Aloc(4,6) = -4/3*cot_1;

    Aloc(5,5) = 4/3*(cot_3+cot_2+cot_1);
    Aloc(5,6) = -4/3*cot_3;

    Aloc(6,6) = 4/3*(cot_3+cot_2+cot_1);

    % Fill in lower triangular part
    tri = triu(Aloc);
    Aloc = tri+tril(tri',-1);

end
