function A = assemMat_generic_fast(Mesh,EHandle,locglobmap,varargin)

    % Here we have cheated a bit, by preallocating exactly the memory we need
    % This can be avoided, but for the purposes of this problem, this should suffice
    nElements = size(Mesh.Elements, 1);
    I = zeros(36*nElements,1);
    J = zeros(36*nElements,1);
    S = zeros(36*nElements,1);

    first = 1;
    for i = 1:nElements
        Vertices = Mesh.Coordinates(Mesh.Elements(i,:),:);
        Aloc = EHandle(Vertices, varargin{:});
        Qk = size(Aloc, 1);

        idx = locglobmap(i, 1:Qk);
        ivals = idx(ones(Qk,1),:)'; I(first:first+Qk^2-1) = ivals(:);
        jvals = idx(ones(Qk,1),:); J(first:first+Qk^2-1) = jvals(:);
        S(first:first+Qk^2-1) = Aloc(:);

        first = first + Qk^2;
    end

    A = sparse(I, J, S);

end
